Subject: [Tools-discuss] Re: RFC9896 - Thanks... but no tools cigar yet
From: Toerless Eckert <[email-masked]>
To: Jean Mahoney <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Thu, 23 Jul 2026 18:40:28 +0200
List-Id: IETF Tools Discussion <tools-discuss.ietf.org>

Cool, thanks a lot. 

Put me on the list of folks to ask when you're doing the community consultation.

 I'll try to use SVG to improve my one draft in the meantime
to collect more experience. Will be a bit of hacking (aka: uploading html version with svg
inserted through my own script or the like - before XML2RFC supports it....). But could
serve as an example draft for the evolution.

Cheers
    Toerless

On Thu, Jul 23, 2026 at 06:37:41PM +0200, Jean Mahoney wrote:
> Hi Toerless,
> 
> On 7/23/26 4:47 PM, Toerless Eckert wrote:
> > Thanks a lot to rfc9896 contributors/authors!
> > 
> > Unfortunately, the tooling, specifically xml2rfc does not have any option to permit
> > anything more than the rfc7996 SVG profile. I hope i correctly understand the status of
> > rfc9896, that this is now a bug.
> 
> [JM] The RPC will be consulting with the community before IETF 127 to create
> updated SVG guidance, and this guidance will be checked by new code. There
> is an issue in the RFCXML repo to track this SVG update:
> https://github.com/ietf-tools/RFCXML/issues/48
> 
> We will also be working to provide guidance to authors on making SVG artwork
> accessible to all readers:
> https://github.com/rfc-editor/rpc-roadmap/issues/23
> 
> Best regards,
> Jean
> 
> 
> > 
> > I have attached an SVG for one of my drafts
> > 
> > example5-claude.svg fails on font-family and style and strokes. I don't want to make a big
> > argument trying to justify why each of these should be now allowed, but it seems to me as if
> > rfc9896 says they should...
> > 
> > example5-claude-rfc7996.svg is converted by asking claude to make it as rfc7996 compatible as
> > possible. It still fails on strokes/colors.
> > 
> > [If you look at the graphis it should be clear that colors are only used as optional add-on
> >   beautification for those readers that do see colors, so i would expect this to easily pass
> >   accessibility requirements - same meaning as text in the boxes].
> > 
> > for reference, example5-claude-prompt.txt is the prompt
> > 
> > (and this is just the start, i am doing this to be able to add more arrows and the like to
> >   show traffic flows etc...)
> > 
> > Cheers
> >      Toerless
> > 
> > P.S.: I opened https://github.com/ietf-tools/xml2rfc/issues/1339

-- 
---
[email-masked]